=== debian/control ===
Source: ros-noetic-robot-upstart
Section: misc
Priority: optional
Maintainer: Chris Iverach-Brereton <civerachb@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslint, ros-noetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, net-tools, ros-noetic-roslaunch, ros-noetic-xacro, util-linux
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.
